@import "variables";

$row-height: 60px;

@keyframes rule-text-animation {
  from {
    max-height: 0;
  }
  to {
    max-height: 100%
  }
}

@keyframes rule-header-after-animation {
  from {
    transform: unset
  }
}

body {
  display: flex;
  justify-content: center;

  font-family: "Roboto", serif;

  .rule-container {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;

    border-radius: 8px;
    overflow: hidden;
    margin: 16px 0 16px;

    width: 800px;

    .row {
      display: flex;
      flex-direction: row;
      justify-content: flex-start;

      height: $row-height;

      .rule-number {
        display: flex;
        justify-content: center;
        align-items: center;

        min-width: $row-height;

        background-color: $blue;
        font-size: $font-big;
      }

      .rule-header {
        position: relative;

        display: flex;
        align-items: center;
        width: 100%;

        background-color: $light-blue;
        font-size: $font-medium;
        padding-left: 8px;

        &:after {
          position: absolute;
          height: 16px;
          width: 16px;
          right: 16px;
          background-size: 16px 16px;

          content: '';
          background-image: url(../assets/double-right-arrow.svg);
          transform: rotate(90deg);

          animation: rule-header-after-animation 1s ease-in-out;
        }
      }
    }

    .rule-text-animation-container {
      overflow: hidden;

      animation: rule-text-animation 2s ease-out;

      .rule-text {
        background-color: $white;
        font-size: $font-small;
        padding: 16px;

        ul {
          margin-bottom: 0;
          padding-left: 20px;

          ::marker {
            color: $dark-blue;
          }

          li:not(:last-child) {
            margin-bottom: 16px;
          }

          p {
            padding-left: 10px;

            &::first-letter {
              color: $dark-blue;
            }
          }
        }

        > p:first-child {
          margin-top: 0;
        }

        p:last-child {
          margin-bottom: 0;
        }
      }
    }
  }
}
